Last modified: 2014-01-30 23:38:13 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 38114 - [upstream] alternate change list row colors
[upstream] alternate change list row colors
Status: NEW
Product: Wikimedia
Classification: Unclassified
Git/Gerrit (Other open bugs)
unspecified
All All
: Low normal (vote)
: ---
Assigned To: Nobody - You can work on this!
: upstream
Depends on: 39589
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-02 08:54 UTC by Niklas Laxström
Modified: 2014-01-30 23:38 UTC (History)
7 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
first change line having the same color as the header (36.34 KB, image/png)
2013-02-20 13:39 UTC, Antoine "hashar" Musso (WMF)
Details

Description Niklas Laxström 2012-07-02 08:54:39 UTC
Gerrit revision lists would highly benefit from alternating row colors or highlighting of the hovered row.
Comment 1 Niklas Laxström 2012-07-02 08:56:56 UTC
With revision I mean patches.
Comment 2 Niklas Laxström 2012-07-02 08:57:48 UTC
I also learned that you can click the row, but this feature is not discoverable.
Comment 3 Antoine "hashar" Musso (WMF) 2012-07-02 09:01:42 UTC
I have changed the bug summary which is really about using alternate colors on the changes list.

Timo and Roan did some work to enhance Gerrit look'n feel, seems to be as easy as tweaking a CSS file.
Comment 4 Marcin Cieślak 2012-07-02 09:36:01 UTC
My bet is that this requires change in 

gerrit-gwtui/src/main/java/com/google/gerrit/client/changes/ChangeTable2.java

and it's not an easy CSS change (CSS identifiers in GWT change on build)

+upstream (not filed yet)
Comment 5 Chad H. 2012-07-03 18:33:50 UTC
Actually, I think this will be handled as part of some recent UI changes by OpenStack:

https://gerrit-review.googlesource.com/#/c/36560/
Comment 6 Niklas Laxström 2012-10-29 15:01:39 UTC
Do we have to make some changes to enable the colors?
Comment 7 Chad H. 2012-10-29 15:15:31 UTC
We'll have to set two theme settings (tableOddRowColor & tableEvenRowColor). Blocked on the 2.5 upgraded.

https://gerrit-review.googlesource.com/Documentation/config-gerrit.html#_a_id_theme_a_section_theme
Comment 8 Chad H. 2013-02-12 15:34:19 UTC
This is possible now, anyone have 2 colors in mind?
Comment 9 Antoine "hashar" Musso (WMF) 2013-02-12 18:46:56 UTC
white / #DCDCDC ?
Comment 10 Chad H. 2013-02-19 17:18:43 UTC
I'd like Timo's input, since he did most of the skinning work last time :)

CC'd.
Comment 11 Krinkle 2013-02-19 20:55:09 UTC
(In reply to comment #9)
> white / #DCDCDC ?

Slight different:

#fff / #eee

That way it matches our other white-alternating styles (label columns of info block, header of comment thread etc.)
Comment 12 Antoine "hashar" Musso (WMF) 2013-02-20 11:39:02 UTC
Gerrit config tweak: https://gerrit.wikimedia.org/r/49993

Untested though.
Comment 13 Antoine "hashar" Musso (WMF) 2013-02-20 13:31:08 UTC
The color alternance is applied by using a CSS selector :nth-child(odd) and :nth-child(even) on each of the table rows (tr). That is done via the .tableChange class.

On a user dashboard view, the section headers and their changes are all part of the same global table which apply the .tableChange class.

Given a previous section can get an odd or even number of changes, the first change in a section can in turn be either odd or even. Thus we could have the first change of a section to receive the same color as the header :(

We might want to pick a different color to differentiate changes/headers or have the bug fixed upstream.  Like pink for headers.
Comment 14 Antoine "hashar" Musso (WMF) 2013-02-20 13:39:35 UTC
Created attachment 11812 [details]
first change line having the same color as the header
Comment 15 Krinkle 2013-02-20 14:13:37 UTC
(In reply to comment #0)
> Gerrit patch lists would highly benefit from alternating row colors or
> highlighting of the hovered row.

Are you referring to the list of Pathes on a change page

> Patch set 3 fd9d49c8 (gitweb)
> Patch set 2 4772e9eb (gitweb)
> Patch set 1 4ba628db (gitweb)

etc.

Or do you mean "change" lists, the list of changes as a result from a search query or the dashboard for example:

> (*) | Change subject | Owner | Project | ...
> (*) | Change subject | Owner | Project | ...
> (*) | Change subject | Owner | Project | ...
Comment 16 Antoine "hashar" Musso (WMF) 2013-02-20 15:13:58 UTC
This bug is about alternate change list row colors. So I guess changes and that is what have been implemented upstream.  There is no such support for the list of patchset, I guess that should be an other bug.
Comment 17 Antoine "hashar" Musso (WMF) 2013-03-07 18:40:19 UTC
Christian Aistleitner submitted a patch to upstream: https://gerrit-review.googlesource.com/#/c/42502/
Comment 18 Bartosz Dziewoński 2014-01-30 23:38:13 UTC
That patch is still pending, by the way.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links